<template>
    <div>
        <table id="all-launch">
            <tr>
                <th>Name</th>
                <th>Time</th>
                <th>Image</th>
                <th>Crew</th>
            </tr>
            <tr v-for="index in allLaunch" v-bind:key="index">
                <td>{{ index.name }}</td>
                <td>{{ index.date_utc }}</td>
                <td><img :src="index.links.patch.small"></td>
                <td>{{ index.crew.length }}</td>
            </tr>
        </table>
    </div>
</template>

<style scoped>
table, th, td {
  border: 1px solid black;
}
table {
    width: 100%
}
</style>

<script>
import axios from 'axios'

export default {
    name: 'SpaceX',
    data() {
        return {
            allLaunch: null
        }
    },
    mounted() {
        this.getAllLaunch()
    },
    methods: {
        getAllLaunch() {
            axios.get('https://api.spacexdata.com/v4/launches')
            .then(response => {
                this.allLaunch = response.data
            })
        },
    }
}
</script>
